CON                           
   
  _clkmode = xtal1 + pll16x           
  _xinfreq = 5_000_000                

CON
  scale = 16_777_216                  ' 2 256

VAR

  byte duty, ch3  

OBJ

  pst    : "Parallax Serial Terminal"
  adc    : "MCP3208"

PUB go | i, ch3Max, ch3Min, peak                                

  pst.Start(115200)
  adc.Start(26,27,25,%1000)

  CounterConfig

  repeat
    ch3Max:=0
    ch3Min:=$7FFFFFFF
    repeat 1000
      ch3 := adc.in(3)
      if ch3>ch3Max
        ch3Max := ch3
      if ch3 < ch3Min
        ch3Min := ch3
      duty := (4*(ch3Max - ch3Min)) <# 255
'    pst.Home
'    pst.Dec(duty)
'    pst.ClearEnd    
    frqa := duty * scale ' Update frqa register
    duty++
    waitcnt(clkfreq/128 + cnt) ' Delay for 1/128th s

PUB CounterConfig

  'Configure counter module.
  ctra[30..26] := %00110     ' Set ctra to DUTY mode
  ctra[5..0] := 23           ' Set ctra's APIN
  frqa := duty * scale       ' Set frqa register

 'Use counter to take LED from off to gradually brighter, repeating at 2 Hz.
  dira[23]~~
